College Football DataCollege Football Data
  • CollegeFootballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • Methodology and resources
  • API Reference
Helpful Links
  • CFBD
  • Patreon
  • Gumroad
Data + Code Packs
  • Starter Pack
  • Model Training Pack
  • AI Launchpad
  • AI Builder Pack
Other Resources
  • Rad Sports Analytics
  • Blog
  • Basketball

A Rad Sports Analytics platform.

xdiscordgithub
Information
games
    /gamesget/games/teamsget/games/playersget/games/mediaget/games/weatherget/recordsget/calendarget/scoreboardget/game/box/advancedget
playoffs
    /playoffs/cfpget/playoffs/cfp/participantsget/playoffs/cfp/gamesget
drives
    /drivesget
plays
    /playsget/plays/typesget/plays/statsget/plays/stats/typesget/live/playsget
teams
    /teamsget/teams/fbsget/teams/matchupget/teams/atsget/rosterget/talentget
conferences
    /conferencesget
venues
    /venuesget
coaches
    /coachesget/coaches/profileget/coaches/seasonsget/coaches/tenuresget
players
    /player/searchget/player/usageget/player/season/overviewget/player/returningget/player/portalget
rankings
    /rankingsget
betting
    /linesget
recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/groupsget
ratings
    /ratings/coreget/ratings/spget/ratings/sp/conferencesget/ratings/srsget/ratings/srs/expandedget/ratings/eloget/ratings/fpiget
metrics
    /ppa/predictedget/ppa/teamsget/ppa/gamesget/ppa/players/gamesget/ppa/players/seasonget/metrics/wpget/metrics/wp/pregameget/metrics/fg/epget
stats
    /stats/player/seasonget/stats/player/successget/stats/player/success/gameget/stats/seasonget/stats/categoriesget/stats/season/advancedget/stats/game/advancedget/stats/game/havocget
draft
    /draft/teamsget/draft/positionsget/draft/picksget
adjustedMetrics
    /wepa/team/seasonget/wepa/players/passingget/wepa/players/rushingget/wepa/players/kickingget
info
    /infoget/info/usageget
Schemas
powered by Zudoku
College Football Data API
College Football Data API

rankings

Download schema

Historical poll rankings and College Football Playoff snapshots.


GET
https://api.collegefootballdata.com
/rankings
Bearer

Returns historical poll rankings.

query Parameters

year
​integer · int32 · required

Season year.

seasonType
​SeasonType · enum

Season type.

Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
week
​number · double

Poll week.

poll
​RankingPoll · enum

Poll name.

Enum values:
cfp
latest
​boolean

Returns the latest CFP snapshot when true, preferring the snapshot marked as final. Requires poll=cfp and cannot be combined with final.

final
​boolean

Returns the CFP snapshot marked as final when true. Requires poll=cfp and cannot be combined with latest.

Responses

Ok

​PollWeek[]
PollWeek
season
​integer · int32 · required
seasonType
​SeasonType · enum · required
Enum values:
regular
postseason
both
allstar
spring_regular
spring_postseason
week
​integer · int32 · required
​Poll[] · required
GET/rankings
curl 'https://api.collegefootballdata.com/rankings?year=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "season": 0, "seasonType": "regular", "week": 0, "polls": [ { "poll": "poll", "isFinal": true, "ranks": [ { "rank": 0, "teamId": 0, "school": "school", "conference": "conference", "firstPlaceVotes": 0, "points": 0 } ] } ] } ]
json
application/json

playersbetting